<div class="theme-offer">
<?php

    function lawyer_consultant_create_customizer_nav_menu() {
        // ------- Create Nav Menu --------
        $lawyer_consultant_menuname = 'Primary';
        $lawyer_consultant_menulocation = 'primary';
        $lawyer_consultant_menu_exists = wp_get_nav_menu_object($lawyer_consultant_menuname);

        if (!$lawyer_consultant_menu_exists) {
            $lawyer_consultant_menu_id = wp_create_nav_menu($lawyer_consultant_menuname);

            wp_update_nav_menu_item($lawyer_consultant_menu_id, 0, array(
                'menu-item-title' => __('Home', 'lawyer-consultant'),
                'menu-item-url' => home_url('/'),
                'menu-item-status' => 'publish',
            ));

            wp_update_nav_menu_item($lawyer_consultant_menu_id, 0, array(
                'menu-item-title' => __('About Us', 'lawyer-consultant'),
                'menu-item-url' => home_url('/index.php/about-us/'),
                'menu-item-status' => 'publish',
            ));

            wp_update_nav_menu_item($lawyer_consultant_menu_id, 0, array(
                'menu-item-title' => __('Services', 'lawyer-consultant'),
                'menu-item-url' => home_url('/index.php/services/'),
                'menu-item-status' => 'publish',
            ));

            wp_update_nav_menu_item($lawyer_consultant_menu_id, 0, array(
                'menu-item-title' => __('Pages', 'lawyer-consultant'),
                'menu-item-url' => home_url('/index.php/pages/'),
                'menu-item-status' => 'publish',
            ));

            wp_update_nav_menu_item($lawyer_consultant_menu_id, 0, array(
                'menu-item-title' => __('Blog', 'lawyer-consultant'),
                'menu-item-url' => home_url('/index.php/blog/'),
                'menu-item-status' => 'publish',
            ));

            // Set menu to location
            $lawyer_consultant_locations = get_theme_mod('nav_menu_locations');
            if (!is_array($lawyer_consultant_locations)) {
                $lawyer_consultant_locations = array();
            }
            $lawyer_consultant_locations[$lawyer_consultant_menulocation] = $lawyer_consultant_menu_id;
            set_theme_mod('nav_menu_locations', $lawyer_consultant_locations);
        }
    }

    // POST and update the customizer and other related data of Lawyer Consultant
    if (isset($_POST['submit'])) {

        // -------- Plugin Installation and Activation (WooCommerce & Classic Widgets) -------- //
        include_once(ABSPATH . 'wp-admin/includes/plugin.php');
        include_once(ABSPATH . 'wp-admin/includes/plugin-install.php');
        include_once(ABSPATH . 'wp-admin/includes/class-wp-upgrader.php');
        include_once(ABSPATH . 'wp-admin/includes/file.php');
        include_once(ABSPATH . 'wp-admin/includes/misc.php');

        // Plugin list
        $lawyer_consultant_plugins = array(
            array(
                'slug' => 'classic-widgets',
                'file' => 'classic-widgets/classic-widgets.php',
                'download_url' => 'https://downloads.wordpress.org/plugin/classic-widgets.zip'
            )
        );

        foreach ($lawyer_consultant_plugins as $plugin) {
            $installed_plugins = get_plugins();

            // Install the plugin if it's not installed
            if (!isset($installed_plugins[$plugin['file']])) {
                $upgrader = new Plugin_Upgrader();
                $upgrader->install($plugin['download_url']);
            }

            // Activate the plugin if it's not active
            if (file_exists(WP_PLUGIN_DIR . '/' . $plugin['file']) && !is_plugin_active($plugin['file'])) {
                activate_plugin($plugin['file']);
            }
        }

        // ------- Create Menu --------
        lawyer_consultant_create_customizer_nav_menu();

        // ------- Create Pages --------
        function create_demo_page($title, $content = '', $template = '') {
            $page_id = lawyer_consultant_get_page_id_by_title($title);
        
            if (!$page_id) {
                $page_data = array(
                    'post_type'    => 'page',
                    'post_title'   => $title,
                    'post_content' => $content,
                    'post_status'  => 'publish',
                    'post_author'  => 1,
                );
        
                $page_id = wp_insert_post($page_data);
        
                if ($template && !is_wp_error($page_id)) {
                    update_post_meta($page_id, '_wp_page_template', $template);
                }
            }
        
            return $page_id;
        }
        

        $lawyer_consultant_home_id = create_demo_page('Home', '', 'home/home.php');
        update_option('page_on_front', $lawyer_consultant_home_id);
        update_option('show_on_front', 'page');

        create_demo_page('Pages', '<p>Lorem Ipsum ...</p>');
        create_demo_page('About Us', '<p>Lorem Ipsum ...</p>');
        create_demo_page('Services', '<p>Service description...</p>');
        // Create blog page and assign it to display posts
        $blog_page_id = create_demo_page('Blog');
        update_option('page_for_posts', $blog_page_id);

        // Create the nav menu
        lawyer_consultant_create_customizer_nav_menu();

        // ------- Set Theme Mods --------       

        set_theme_mod('lawyer_consultant_header_register_link', '#');
        set_theme_mod('lawyer_consultant_header_login_link', '#');
        
        set_theme_mod('lawyer_consultant_social_media1_heading', 'www.facebook.com');
        set_theme_mod('lawyer_consultant_social_media2_heading', 'www.instagram.com');
        set_theme_mod('lawyer_consultant_social_media3_heading', 'www.twitter.com');
        set_theme_mod('lawyer_consultant_social_media4_heading', 'www.youtube.com');

        // ------- Banner Section --------
        
        set_theme_mod("lawyer_consultant_banner_image", get_template_directory_uri() . "/img/banner.jpg");
        set_theme_mod("lawyer_consultant_banner_heading", 'LOREM IPSUM DOLOR AMET');
        set_theme_mod("lawyer_consultant_banner_text", 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.');
        set_theme_mod("lawyer_consultant_banner_button_link", '#');

        // ------- About Section --------
        
        set_theme_mod('lawyer_consultant_about_image', get_template_directory_uri() . '/img/about-left.jpg');

        set_theme_mod('lawyer_consultant_about_image1', get_template_directory_uri() . '/img/serv1.jpg');

        set_theme_mod('lawyer_consultant_about_heading1', 'Shoplifting');
        set_theme_mod('lawyer_consultant_about_content1', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod');
        set_theme_mod('lawyer_consultant_about_price1', '$42');

        set_theme_mod('lawyer_consultant_about_image2', get_template_directory_uri() . '/img/serv2.jpg');

        set_theme_mod('lawyer_consultant_about_heading2', 'Fraud');
        set_theme_mod('lawyer_consultant_about_content2', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod');
        set_theme_mod('lawyer_consultant_about_price2', '$42');

        set_theme_mod('lawyer_consultant_about_image3', get_template_directory_uri() . '/img/serv3.jpg');

        set_theme_mod('lawyer_consultant_about_heading3', 'Child Abuse');
        set_theme_mod('lawyer_consultant_about_content3', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod');
        set_theme_mod('lawyer_consultant_about_price3', '$42');

        set_theme_mod('lawyer_consultant_about_image4', get_template_directory_uri() . '/img/serv4.jpg');

        set_theme_mod('lawyer_consultant_about_heading4', 'Bar Fights');
        set_theme_mod('lawyer_consultant_about_content4', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod');
        set_theme_mod('lawyer_consultant_about_price4', '$42');
        

        echo '<div class="success">Demo Import Successful</div>';
    }
?>

<ul>
    <li>
        <hr>
        <?php if (!isset($_POST['submit'])) : ?>
            <?php echo esc_html__('Click on the below button to get demo content installed.', 'lawyer-consultant'); ?>
            <br>
            <form id="demo-importer-form" action="" method="POST" onsubmit="return confirm('Do you really want to do this?');">
                <input class="run-btn" type="submit" name="submit" value="<?php echo esc_attr('Run Importer', 'lawyer-consultant'); ?>">
            </form>
        <?php else: ?>
            <div class="visit">
                <a href="<?php echo esc_url(home_url()); ?>" class="button button-primary button-large run-btn" style="margin-top: 10px;" target="_blank">View Site</a>
            </div>
        <?php endif; ?>
        <hr>
    </li>
</ul>
</div>